org.jbpm.kie.services.impl.store

## Class DeploymentStoreEntry

- java.lang.Object
- - org.jbpm.kie.services.impl.store.DeploymentStoreEntry

- All Implemented Interfaces:
    Serializable

      @Entity
      public class DeploymentStoreEntry
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeploymentStoreEntry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getAttributes()`
    `String` | `getDeploymentId()`
    `String` | `getDeploymentUnit()`
    `Long` | `getId()`
    `Integer` | `getState()`
    `Date` | `getUpdateDate()`
    `int` | `hashCode()`
    `void` | `setAttributes(String attributes)`
    `void` | `setDeploymentId(String deploymentId)`
    `void` | `setDeploymentUnit(String deploymentUnit)`
    `void` | `setId(Long id)`
    `void` | `setState(Integer state)`
    `void` | `setUpdateDate(Date updateDate)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentStoreEntry

          public DeploymentStoreEntry()

  - ### Method Detail

    - #### getId

          public Long getId()

    - #### setId

          public void setId(Long id)

    - #### getDeploymentId

          public String getDeploymentId()

    - #### setDeploymentId

          public void setDeploymentId(String deploymentId)

    - #### getDeploymentUnit

          public String getDeploymentUnit()

    - #### setDeploymentUnit

          public void setDeploymentUnit(String deploymentUnit)

    - #### getState

          public Integer getState()

    - #### setState

          public void setState(Integer state)

    - #### getUpdateDate

          public Date getUpdateDate()

    - #### setUpdateDate

          public void setUpdateDate(Date updateDate)

    - #### getAttributes

          public String getAttributes()

    - #### setAttributes

          public void setAttributes(String attributes)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.